fmt_ulong0(3)

NAME
fmt_ulong0 - write a zero-padded ASCII representation of an unsigned long integer

SYNTAX
#include <libowfat/fmt.h>

size_t fmt_ulong0(char *dest, unsigned long source,
                        size_t n);

DESCRIPTION
fmt_ulong0 writes an ASCII representation ('0' to '9', base 10) of source to dest and returns the number of bytes written. The output is padded with '0'-bytes until it encompasses at least n bytes, but it will not be truncated if it does not fit.

fmt_ulong0 does not append \0.

If dest equals FMT_LEN (i.e. is zero), fmt_ulong0 returns the number of bytes it would have written.

For convenience, fmt.h defines the integer FMT_ULONG to be big enough to contain every possible fmt_ulong output plus \0.

SEE ALSO
scan_ulong(3), fmt_ulong(3)